/***
@author	8boomgaa
@date	2010/03/04
@descr	displays the result of the curse dice
*/

/**
@form	gui_show_curse_dice(+Number)
@descr	shows a side of the curse dice (numbers from 1 to 5)
*/
gui_show_curse_dice(Num):-
	free(@cursedice),
	file(cursedice,Num,CurseDice),
	new(@cursedice,bitmap(CurseDice)),
	send(@playground,display,@cursedice,point(600,600)).

/**
@form	gui_hide_curse_dice
@descr	hides the curse dice
*/
gui_hide_curse_dice:-
	free(@cursedice).
